Subject: Re: [PATCH net-next v11 1/1] net: phy: Cleanup the Edge-Rate feature in Microsemi PHYs.

From: "Allan W. Nielsen" <[email-masked]>
Date: Fri, 14 Oct 2016 20:48:39 +0200

Hi David,

I'm really sorry if I messed up, or is not following the protocol...

But you have applied it already:
http://git.kernel.org/cgit/linux/kernel/git/davem/net-next.git/commit/?id=4f58e6dceb0e44ca8f21568ed81e1df24e55964c

> commit 4f58e6dceb0e44ca8f21568ed81e1df24e55964c
> Author:     Allan W. Nielsen <[email-masked]>
> AuthorDate: Wed Oct 12 15:47:51 2016 +0200
> Commit:     David S. Miller <[email-masked]>
> CommitDate: Fri Oct 14 10:06:13 2016 -0400
> 
>     net: phy: Cleanup the Edge-Rate feature in Microsemi PHYs.
> 
>     Edge-Rate cleanup include the following:
>     - Updated device tree bindings documentation for edge-rate
>     - The edge-rate is now specified as a "slowdown", meaning that it is now
>       being specified as positive values instead of negative (both
>       documentation and implementation wise).
>     - Only explicitly documented values for "vsc8531,vddmac" and
>       "vsc8531,edge-slowdown" are accepted by the device driver.
>     - Deleted include/dt-bindings/net/mscc-phy-vsc8531.h as it was not needed.
>     - Read/validate devicetree settings in probe instead of init
> 
>     Signed-off-by: Allan W. Nielsen <[email-masked]>
>     Signed-off-by: Raju Lakkaraju <[email-masked]>
>     Signed-off-by: David S. Miller <[email-masked]>

Maybe the misunderstanding was caused by me posting the re-based version in
another thread.

Anyway, thanks a lot for the big effort you put into maintaining this
sub-system. I will be more care full next time to avoid such confusions.

Best regards
Allan W. Nielsen

On 14/10/16 11:05, David Miller wrote:
> EXTERNAL EMAIL
> 
> 
> From: "Allan W. Nielsen" <[email-masked]>
> Date: Thu, 13 Oct 2016 20:21:30 +0200
> 
> > Edge-Rate cleanup include the following:
> > - Updated device tree bindings documentation for edge-rate
> > - The edge-rate is now specified as a "slowdown", meaning that it is now
> >   being specified as positive values instead of negative (both
> >   documentation and implementation wise).
> > - Only explicitly documented values for "vsc8531,vddmac" and
> >   "vsc8531,edge-slowdown" are accepted by the device driver.
> > - Deleted include/dt-bindings/net/mscc-phy-vsc8531.h as it was not needed.
> > - Read/validate devicetree settings in probe instead of init
> >
> > Signed-off-by: Allan W. Nielsen <[email-masked]>
> > Signed-off-by: Raju Lakkaraju <[email-masked]>
> 
> This patch does not apply to the net-next tree.
> 
> Take my tree, put this email of your's into a file, and run this:
> 
> bash$ git am file
> 
> and you will get:
> 
> [davem@dhcp-10-15-49-210 net-next]$ git am --signoff net-next-v11-1-1-net-phy-Cleanup-the-Edge-Rate-feature-in-Microsemi-PHYs..patch
> Applying: net: phy: Cleanup the Edge-Rate feature in Microsemi PHYs.
> error: patch failed: Documentation/devicetree/bindings/net/mscc-phy-vsc8531.txt:6
> error: Documentation/devicetree/bindings/net/mscc-phy-vsc8531.txt: patch does not apply
> error: patch failed: drivers/net/phy/mscc.c:12
> error: drivers/net/phy/mscc.c: patch does not apply
> error: include/dt-bindings/net/mscc-phy-vsc8531.h: does not exist in index
> Patch failed at 0001 net: phy: Cleanup the Edge-Rate feature in Microsemi PHYs.
> The copy of the patch that failed is found in:
>    /home/davem/src/GIT/net-next/.git/rebase-apply/patch
> When you have resolved this problem, run "git am --continue".
> If you prefer to skip this patch, run "git am --skip" instead.
> To restore the original branch and stop patching, run "git am --abort".
> 
> Please do not resubmit this patch until you can successfully email the
> patch to yourself and apply it cleanly to the net-next tree.
> 
>